Bug 1810239 - CVE-2020-8813 cacti: remote code can be executed when guest users have access to realtime graphs [fedora-all]
Summary: CVE-2020-8813 cacti: remote code can be executed when guest users have access...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cacti
Version: 31
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Morten Stevens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-8813
TreeView+ depends on / blocked
 
Reported: 2020-03-04 18:52 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-03-16 20:31 UTC (History)
3 users (show)

Fixed In Version: cacti-1.2.10-1.fc30 cacti-1.2.10-1.fc31 cacti-1.2.10-1.fc32
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-09 20:54:51 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-03-04 18:52:20 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2020-03-04 18:52:22 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1810238,1810239

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-03-04 20:12:29 UTC
FEDORA-2020-552e4e7879 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-552e4e7879

Comment 3 Fedora Update System 2020-03-04 20:12:51 UTC
FEDORA-2020-10fe60d68b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-10fe60d68b

Comment 4 Fedora Update System 2020-03-04 20:13:25 UTC
FEDORA-2020-d6a9e27bb1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d6a9e27bb1

Comment 5 Fedora Update System 2020-03-09 20:54:51 UTC
cacti-1.2.10-1.fc30, cacti-spine-1.2.10-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-03-11 22:46:09 UTC
cacti-1.2.10-1.fc31, cacti-spine-1.2.10-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-03-16 20:19:44 UTC
cacti-1.2.10-1.fc32, cacti-spine-1.2.10-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-03-16 20:31:31 UTC
cacti-1.2.10-1.fc32, cacti-spine-1.2.10-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.